commit:     4728286729c7eab06a1bea8d7d306531d843772e
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 19 03:11:13 2019 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Feb 19 03:11:13 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47282867

dev-db/freetds: new version 1.00.558.

LibreSSL 2.7 now implements some of the OpenSSL-1.1.0 API, which
invalidates one of the heuristics in FreeTDS used for LibreSSL
compatibility. This new upstream version has an *additional*
workaround for the problem, and (with any luck) allows us to
build against dev-libs/libressl-2.7 and newer.

Bug: https://bugs.gentoo.org/621430
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-db/freetds/Manifest                |  1 +
 dev-db/freetds/freetds-1.00.558.ebuild | 73 ++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-db/freetds/Manifest b/dev-db/freetds/Manifest
index 76ad01521eb..52a90c06d4a 100644
--- a/dev-db/freetds/Manifest
+++ b/dev-db/freetds/Manifest
@@ -1 +1,2 @@
 DIST freetds-dev.1.00.341.tar.gz 3002134 BLAKE2B 
c9396c1f205e13c9f3449bef19830cf3b6c2fa72539555ebd6bc1532c014472c862ba2ac7f495bee8f53d640d628c6b15bb50183585d43cf3dbbea4e314636d2
 SHA512 
fd691535dfa5c97463ff72056cfa5721557b71e41b6186ffcb08e193e51214cf966a33ee55b8e538a6f035aeeef14ac5b15fe8758f1afea9e1252a3b8951ba58
+DIST freetds-dev.1.00.558.tar.gz 3151542 BLAKE2B 
e7b7eb1d4bad1472a675e7657d524837a27ba18176cf410ebad6dcb949cd59bb50e932526790c816c05cf0ba02fb750a1cfbcda10073e5cbf8908bdc4ceb9cc5
 SHA512 
763f04ae36be8385f9be955defd2d91698389836e80e19019f0da0ee15515d8b7e3733f7659362a307b492dc83830f0a7f27d2a68cb5b56e2ef171ac1dcfeeca

diff --git a/dev-db/freetds/freetds-1.00.558.ebuild 
b/dev-db/freetds/freetds-1.00.558.ebuild
new file mode 100644
index 00000000000..4672e4e4cd6
--- /dev/null
+++ b/dev-db/freetds/freetds-1.00.558.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# This is from the "current" release series, because the "stable" series
+# is a little too stable for us (missing bug fixes, and so on).
+MY_PN="${PN}-dev"
+
+DESCRIPTION="Tabular Datastream Library"
+HOMEPAGE="http://www.freetds.org/";
+SRC_URI="ftp://ftp.freetds.org/pub/${PN}/current/${MY_PN}.${PV}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos"
+
+IUSE="debug gnutls iconv kerberos libressl mssql iodbc odbc ssl static-libs"
+# iODBC and unixODBC are mutually-exclusive choices for
+# the ODBC driver manager. Future versions of FreeTDS
+# will throw an error if you specify both.
+REQUIRED_USE="?? ( iodbc odbc )"
+
+RESTRICT="test"
+
+# sed, grep, and awk are used by the build system and the osql script.
+COMMON_DEPEND="
+       sys-apps/sed
+       sys-apps/grep
+       virtual/awk
+       gnutls? ( net-libs/gnutls:= )
+       iconv? ( virtual/libiconv )
+       iodbc? ( dev-db/libiodbc )
+       kerberos? ( virtual/krb5 )
+       odbc? ( dev-db/unixODBC )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )
+"
+DEPEND="${COMMON_DEPEND}"
+
+# bind-tools is needed because the osql script calls "host".
+# binutils is for "strings".
+RDEPEND="${COMMON_DEPEND}
+       sys-devel/binutils
+       net-dns/bind-tools
+"
+
+S="${WORKDIR}/${MY_PN}.${PV}"
+
+src_configure() {
+       econf \
+               --enable-shared \
+               $(use_enable debug) \
+               $(use_enable iconv libiconv) \
+               $(use_enable kerberos krb5) \
+               $(use_enable mssql msdblib) \
+               $(use_enable static-libs static) \
+               $(use_with iodbc) \
+               $(use_with odbc unixodbc "${EPREFIX}/usr") \
+               $(use_with iconv libiconv-prefix "${EPREFIX}/usr") \
+               $(use_with gnutls) \
+               $(use_with ssl openssl "${EPREFIX}/usr")
+}
+
+src_install() {
+       default
+
+       if ! use static-libs; then
+               find "${D}" -name '*.la' -delete || die
+       fi
+}

Reply via email to